## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate capnp

Name:           rust-capnp
Version:        0.19.6
Release:        %autorelease
Summary:        Runtime library for Cap'n Proto data encoding

License:        MIT
URL:            https://crates.io/crates/capnp
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused support for embedded-io
Patch:          capnp-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Runtime library for Cap'n Proto data encoding.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quickcheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-devel %{_description}

This package contains library source intended for building other packages which
use the "quickcheck" feature of the "%{crate}" crate.

%files       -n %{name}+quickcheck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rpc_try-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rpc_try-devel %{_description}

This package contains library source intended for building other packages which
use the "rpc_try" feature of the "%{crate}" crate.

%files       -n %{name}+rpc_try-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sync_reader-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sync_reader-devel %{_description}

This package contains library source intended for building other packages which
use the "sync_reader" feature of the "%{crate}" crate.

%files       -n %{name}+sync_reader-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unaligned-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unaligned-devel %{_description}

This package contains library source intended for building other packages which
use the "unaligned" feature of the "%{crate}" crate.

%files       -n %{name}+unaligned-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 28 2024 Fabio Valentini <decathorpe@gmail.com> - 0.19.6-1
- Update to version 0.19.6; Fixes RHBZ#2283583

* Thu May 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.19.5-1
- Update to version 0.19.5; Fixes RHBZ#2280828

* Thu Apr 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.19.3-1
- Update to version 0.19.3; Fixes RHBZ#2272209

* Wed Feb 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.19.2-1
- Update to version 0.19.2; Fixes RHBZ#2257792

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 Fabio Valentini <decathorpe@gmail.com> - 0.18.11-1
- Update to version 0.18.11; Fixes RHBZ#2257083

* Thu Dec 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.18.10-1
- Update to version 0.18.10; Fixes RHBZ#2139859

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 01 2022 Fabio Valentini <decathorpe@gmail.com> - 0.14.11-1
- Update to version 0.14.11

* Wed Oct 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.14.10-1
- Update to version 0.14.10; Fixes RHBZ#2128510

* Mon Sep 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.14.9-1
- Update to version 0.14.9; Fixes RHBZ#2122419

* Fri Jul 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.14.8-1
- Update to version 0.14.8; Fixes RHBZ#2108178

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.14.7-1
- Update to version 0.14.7; Fixes RHBZ#2106357

* Fri May 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.14.6-1
- Update to version 0.14.6; Fixes RHBZ#1950006

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.13.6-1
- Initial package

## END: Generated by rpmautospec
